SeExpr

Public Slots | Signals | Public Member Functions | Protected Attributes | List of all members
ExprControl Class Reference

Base class for all controls for Expressions. More...

`#include <ExprControl.h>`

Inheritance diagram for ExprControl:

## Public Slots
void | linkStateChange (int state)

## Signals
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)

## Public Member Functions
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
virtual QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
virtual void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
void | linkDisconnect (int newId)

## Protected Attributes
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

Base class for all controls for Expressions.

Definition at line 54 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ ExprControl()

ExprControl::ExprControl | ( | int | id,
|  | Editable * | editable,
|  | bool | showColorLink
| ) |  |

Definition at line 166 of file ExprControl.cpp.

References _colorLinkCB, _label, hbox, linkStateChange(), and Editable::name.

## ◆ ~ExprControl()

virtual ExprControl::~ExprControl | ( |  | ) |
| inline virtual

Definition at line 68 of file ExprControl.h.

## Member Function Documentation

## ◆ controlChanged

void ExprControl::controlChanged | ( | int | id | ) |
| signal

Referenced by ColorSwatchControl::colorAdded(), ColorSwatchControl::colorChanged(), ColorSwatchControl::colorRemoved(), CurveControl::curveChanged(), CCurveControl::curveChanged(), DeepWaterControl::deepWaterChanged(), AnimCurveControl::editGraphClicked(), AnimCurveControl::refreshClicked(), NumberControl::setValue(), VectorControl::setValue(), and StringControl::textChanged().

## ◆ getColor()

virtual QColor ExprControl::getColor | ( |  | ) |
| inline virtual

Interface for getting the color (used for linked color picking)

Reimplemented in CCurveControl, and VectorControl.

Definition at line 71 of file ExprControl.h.

Referenced by linkStateChange().

## ◆ linkColorEdited

void ExprControl::linkColorEdited | ( | int | id,
|  | QColor | color
| ) |  |
| signal

Referenced by linkStateChange(), and VectorControl::sliderChanged().

## ◆ linkColorLink

void ExprControl::linkColorLink | ( | int | id | ) |
| signal

Referenced by linkStateChange().

## ◆ linkDisconnect()

void ExprControl::linkDisconnect | ( | int | newId | ) |

Definition at line 205 of file ExprControl.cpp.

References _colorLinkCB, _id, and _updating.

## ◆ linkStateChange

void ExprControl::linkStateChange | ( | int | state | ) |
| slot

Definition at line 194 of file ExprControl.cpp.

References _id, _updating, getColor(), linkColorEdited(), and linkColorLink().

Referenced by ExprControl().

## ◆ setColor()

virtual void ExprControl::setColor | ( | QColor | color | ) |
| inline virtual

Interface for setting the color (used for linked color picking)

Reimplemented in CCurveControl, and VectorControl.

Definition at line 73 of file ExprControl.h.

## Member Data Documentation

## ◆ _colorLinkCB

QCheckBox* ExprControl::_colorLinkCB
| protected

Definition at line 61 of file ExprControl.h.

Referenced by ExprControl(), and linkDisconnect().

## ◆ _editable

Editable* ExprControl::_editable
| protected

Definition at line 64 of file ExprControl.h.

## ◆ _id

int ExprControl::_id
| protected

Definition at line 55 of file ExprControl.h.

Referenced by ColorSwatchControl::colorAdded(), ColorSwatchControl::colorChanged(), ColorSwatchControl::colorRemoved(), CurveControl::curveChanged(), CCurveControl::curveChanged(), DeepWaterControl::deepWaterChanged(), AnimCurveControl::editGraphClicked(), linkDisconnect(), linkStateChange(), AnimCurveControl::refreshClicked(), NumberControl::setValue(), VectorControl::setValue(), VectorControl::sliderChanged(), and StringControl::textChanged().

## ◆ _label

QLabel* ExprControl::_label
| protected

Definition at line 62 of file ExprControl.h.

Referenced by ExprControl(), and VectorControl::updateControl().

## ◆ _updating

bool ExprControl::_updating
| protected

Definition at line 59 of file ExprControl.h.

Referenced by ColorSwatchControl::buildSwatchWidget(), ColorSwatchControl::colorAdded(), ColorSwatchControl::colorChanged(), ColorSwatchControl::colorRemoved(), NumberControl::editChanged(), VectorControl::editChanged(), linkDisconnect(), linkStateChange(), NumberControl::sliderChanged(), VectorControl::sliderChanged(), StringControl::textChanged(), NumberControl::updateControl(), and VectorControl::updateControl().

## ◆ hbox

QHBoxLayout* ExprControl::hbox
| protected

Definition at line 60 of file ExprControl.h.

Referenced by AnimCurveControl::AnimCurveControl(), ColorSwatchControl::buildSwatchWidget(), CCurveControl::CCurveControl(), CurveControl::CurveControl(), DeepWaterControl::DeepWaterControl(), ExprControl(), NumberControl::NumberControl(), StringControl::StringControl(), and VectorControl::VectorControl().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp